Ubuntu

no sound while playing music from a gvfs mounted samba share

Reported by Jean Collonvillé on 2012-04-10

This bug report will be marked for expiration in 52 days if no further activity occurs. (find out why)

158
This bug affects 33 people
Affects Status Importance Assigned to Milestone
rhythmbox (Debian)
Invalid
Undecided
Unassigned
rhythmbox (Ubuntu)
Undecided
Unassigned

Bug Description

When playing music imported from a samba share mounted by gvfs-smb. No problem occurs when accessing the share mounted by smbmount.
Other softwares like totem can play the music from gvfs-smb without any problem.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: rhythmbox 2.96-0ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-22.35-generic 3.2.14
Uname: Linux 3.2.0-22-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0-0ubuntu4
Architecture: amd64
Date: Tue Apr 10 10:55:15 2012
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
SourcePackage: rhythmbox
UpgradeStatus: Upgraded to precise on 2012-04-04 (6 days ago)

Jean Collonvillé (cjean) wrote :
John Leach (johnleach) on 2012-04-13
Changed in rhythmbox (Ubuntu):
status: New → Confirmed
John Leach (johnleach) wrote :

Same problem here, playing a track from the local filesystem is fine but when playing the same track from an samba share, it plays for maybe 1 second and then silence (though the progress bar keep moving as if it is still playing).

Totem can play the same file from the same samba share with no problems.

rhythmbox 2.96-0ubuntu4

miles_g0ods (miles-treacher) wrote :

Sometimes "Pausing" playback and then resuming causes sound to start being played, other times it doesn't help.

miles_g0ods (miles-treacher) wrote :

This bug also seems to affect Banshee, so perhaps the causes is in GVFS ?

John Leach (johnleach) wrote :

Seems to be working fine here now on latest official version of Precise. Same version of rhythymbox as before, though there have been many other updates. Can someone else confirm this is now fixed for them too and this can probably be closed.

Jean Collonvillé (cjean) wrote :

The issue remains for me. Precise fully updated...

John Leach (johnleach) wrote :

Further investigation reveals that Rhythmbox can play flacs via a samba share but not mp3s (sounds crazy, but I've triple checked!)

Totem can play both only if the ~/.gvfs fuse filesystem is mounted. Today, the gvfs-fuse-daemon process had crashed (or otherwise stopped for some reason) and totem was having the same problem as rhythmbox (playing the first second or two of mp3s). When I remounted .gvfs totem was able to play mp3s (though rhythmbox still could not).

So this is not fixed, but there are some more hints about the problem there and this bug is beyond just rhythmbox.

Manfred Usselmann (usselmann-m) wrote :

Same issue here with up-to-date 12.04: Rhymthmbox does not play MP3 files from smb://... (seems to play, but no sound). It does play .flac and .ogg fine. But Totem does play the .mp3 files from smb://.

Rhythmbox does play the same mp3 files when the share is mounted via fstab (cifs).

John Leach (johnleach) wrote :

I've done some more digging. Using the gstreamer debugging options, I've at least identified a difference between totem and rhythmbox here.

I can see totem somehow translates the smb:// url to the fuse mount path and just uses the filesrc gstreamer source element to read the file (and can successfully play it):

0:00:00.722405619 2515 0x7ffd6bfd3730 INFO filesrc gstfilesrc.c:374:gst_file_src_set_location: filename : /home/john/.gvfs/music on lion/Music/Therapy/Therapy - Nurse/Teethgrinder.mp3
0:00:00.722418749 2515 0x7ffd6bfd3730 INFO filesrc gstfilesrc.c:375:gst_file_src_set_location: uri : file:///home/john/.gvfs/music%20on%20lion/Music/Therapy/Therapy%20-%20Nurse/Teethgrinder.mp3

rhythmbox doesn't use the fuse mount - instead using the gio_src gstreamer source element. It appears to be continue reading it fine, though as explained above the output goes silent after about 1 or 2 seconds.

0:00:01.292036091 2468 0xf8c8d0 DEBUG gio_src gstgiosrc.c:335:gst_gio_src_get_stream:<source> opened location smb://lion/music/Music/Therapy/Therapy%20-%20Nurse/Teethgrinder.mp3

But I can have gstreamer play the file successfully using giosrc using gst-launch:

gst-launch-0.10 giosrc location="smb://lion/music/Music/Therapy/Therapy - Nurse/Teethgrinder.mp3" ! flump3dec ! autoaudiosink

I've attached debug logs of my gst-launch and the rhythmbox commands attempting to play the same file - using the options GST_DEBUG_NO_COLOR=1 GST_DEBUG="gio_src:5,gio_base_src:5,basesrc:5,gnomevfs:5,filesrc:5"

There are some differences between the two, but I'm not sure what is relevant. In particularly, one appears to be in push mode and one pull. They both read the file in 4k chunks, but rhythmbox does it from a weird initial offset for some reason (perhaps due to it reading metadata info though). Nothing obviously conclusive to me though.

John Leach (johnleach) wrote :

I've pared this down to a gstreamer bug and have opened a new ticket in the gstreamer project:

https://bugs.launchpad.net/ubuntu/+source/gstreamer0.10/+bug/1024117

It has some simple ways to reproduce the problem using gst-launcher - could someone please test my findings there please, and mark the bug confirmed.

fig_wright (fig-wright) wrote :

I also have this problem. Any workarounds?

fig_wright (fig-wright) wrote :

I got around this by adding direct smb mounts to the /etc/fstab file rather than using the gvfs mounts.

DaMoGan (dmgdsm) wrote :

I just imported my rather large collection of music via SMB into rhythmbox (just navigated to smb://myserver/myshare...) and after several hours where everything seems to be working just fine, I discover I cannot play actually play my music. Just great...

I'm using Ubuntu 12.04 64-bit, fresh install. Guess I'll have to try the direct mounts and reimport all of my music. It'd be nice if someone would pick this up and at least acknowledge the problem.

Adam (adam-w) wrote :

Same here. Spent ages importing only to find that MP3's crackle to silence after about 1 second of playback. A great start to the world of Linux :(

John Leach (johnleach) wrote :

I switched to using a sftp mount to the same server instead of samba and this fixes the problem (and it is way more stable and way faster)

Coeur Noir (gerald-maruccia-e) wrote :

Same problem here with ubuntu 13.04 and Rhythmbox 2.98.

Shares folders are auto-mounted via fstab and cifs.

VLC reads fine the same distant files and folders.

DAAP shares (inside RB) look to work - when they appear on the local network which is not always true, most of the time I have to manually connect to the distant DAAP share using IP adress.

Rick Joyner (rljoyner) wrote :

I did not have this issue until I allowd a software update this morning: 01/24/14.
Here is the log:
Start-Date: 2014-01-24 08:23:12
Commandline: aptdaemon role='role-commit-packages' sender=':1.87'
Upgrade: dmsetup:amd64 (1.02.48-4ubuntu7.3, 1.02.48-4ubuntu7.4), libnss3:amd64 (3.15.3.1-0ubuntu0.12.
04.1, 3.15.4-0ubuntu0.12.04.1), libnss3:i386 (3.15.3.1-0ubuntu0.12.04.1, 3.15.4-0ubuntu0.12.04.1), op
enjdk-7-jre:amd64 (7u25-2.3.10-1ubuntu0.12.04.2, 7u51-2.4.4-0ubuntu0.12.04.2), libjack0:amd64 (1.9.10
~git20130908-1+kxstudio1~precise1, 1.9.10~git20140122-1+kxstudio1~precise2), libjack0:i386 (1.9.10~gi
t20130908-1+kxstudio1~precise1, 1.9.10~git20140122-1+kxstudio1~precise2), libdevmapper1.02.1:amd64 (1
.02.48-4ubuntu7.3, 1.02.48-4ubuntu7.4), libjack-jackd2-0:amd64 (1.9.10~git20130908-1+kxstudio1~precis
e1, 1.9.10~git20140122-1+kxstudio1~precise2), libjack-jackd2-0:i386 (1.9.10~git20130908-1+kxstudio1~p
recise1, 1.9.10~git20140122-1+kxstudio1~precise2), libnspr4-0d:amd64 (4.9.5-0ubuntu0.12.04.1, 4.9.5-0
ubuntu0.12.04.2), jackd2:amd64 (1.9.10~git20130908-1+kxstudio1~precise1, 1.9.10~git20140122-1+kxstudi
o1~precise2), notify-osd:amd64 (0.9.34-0ubuntu2, 0.9.34-0ubuntu2.1), libdevmapper-event1.02.1:amd64 (
1.02.48-4ubuntu7.3, 1.02.48-4ubuntu7.4), libffado2:amd64 (2.1.0-0~precise1, 2.1.0+svn2470-0~precise1)
, libnspr4:amd64 (4.9.5-0ubuntu0.12.04.1, 4.9.5-0ubuntu0.12.04.2), libnspr4:i386 (4.9.5-0ubuntu0.12.0
4.1, 4.9.5-0ubuntu0.12.04.2), liblvm2app2.2:amd64 (2.02.66-4ubuntu7.3, 2.02.66-4ubuntu7.4), icedtea-7
-jre-jamvm:amd64 (7u25-2.3.10-1ubuntu0.12.04.2, 7u51-2.4.4-0ubuntu0.12.04.2), openjdk-7-jre-lib:amd64
 (7u25-2.3.10-1ubuntu0.12.04.2, 7u51-2.4.4-0ubuntu0.12.04.2), jackd:amd64 (1.9.10~git20130908-1+kxstu
dio1~precise1, 1.9.10~git20140122-1+kxstudio1~precise2), libnss3-1d:amd64 (3.15.3.1-0ubuntu0.12.04.1,
 3.15.4-0ubuntu0.12.04.1), libnss3-1d:i386 (3.15.3.1-0ubuntu0.12.04.1, 3.15.4-0ubuntu0.12.04.1), open
jdk-7-jre-headless:amd64 (7u25-2.3.10-1ubuntu0.12.04.2, 7u51-2.4.4-0ubuntu0.12.04.2), notify-osd-icon
s:amd64 (0.7, 0.8~precise)
End-Date: 2014-01-24 08:24:29

Rick Joyner (rljoyner) wrote :

Update: My previous post is almost surely a non-issue. I have solved my loss of audio through samba share and traced the issue to the following.

The board I am using on the server end has a Realtek R8168/R81111 ethernet device. Since the default driver for Ubuntu is for R8169 hardware, when a system upgrade is done it can result in the R8168 driver being replaced.

I had upgrade my system from 32-bit to 64-bit. When this was done the R8168 driver was no longer present; only the R8169 is present after the new install.

I fixed this issue by installing the R8168 network driver. Apparently the R8169 driver frequently disconnects and that is what causes the issue with "streaming audio" through the samba share.

I hope this helps others!

Thank you for taking the time to report this bug and helping to make Ubuntu better. We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. There have been many changes in Ubuntu since that time you reported the bug and your problem may have been fixed with some of the updates. It would help us a lot if you could test it on a currently supported Ubuntu version. When you test it and it is still an issue, kindly upload the updated logs by running apport-collect <bug #> and any other logs that are relevant for this particular issue.

Changed in rhythmbox (Ubuntu):
status: Confirmed → Incomplete
Changed in rhythmbox (Debian):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions